Bug 223850 - support for switching queues
support for switching queues
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-14 14:35 UTC by Ondrej Vrabec
Modified: 2013-02-02 02:34 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2012-12-14 14:35:55 UTC
Mercurial queues are just partially supported. What's missing is switching between queues. If you have multiple queues you have to switch to another in commandline.
Comment 1 Ondrej Vrabec 2012-12-14 15:00:58 UTC
now if you want to switch to another queue and want to apply a patch you must:
1) hg qqueue --list
2) hg qqueue ANOTHER_QUEUE
3) hg qseries
4) hg qgoto PATCH
and at any time scanning in the IDE could be triggered. All these steps could be transparent, user simply chooses a desired patch from a tree and scanning would be triggered only after 4)
Comment 2 Ondrej Vrabec 2013-01-31 10:19:18 UTC
fix: http://hg.netbeans.org/core-main/rev/f91d0ca4a86f
Comment 3 Quality Engineering 2013-02-02 02:34:39 UTC
Integrated into 'main-golden', will be available in build *201302020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f91d0ca4a86f
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #223850 - support for switching queues


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo